<!-- <div class="form-container"> -->
  <form [formGroup]="hostForm" (ngSubmit)="addEditHost()">
    <mat-card class="form-container">
      <mat-card-header>
        <mat-card-title>{{formTitle}}</mat-card-title>
      </mat-card-header>
  
   
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="ID" formControlName="id"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Name" formControlName="name"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Phone Number" formControlName="phone_number"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Business Registration No" formControlName="business_reg_no"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Website" formControlName="website"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Email" formControlName="email"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Street" formControlName="street"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="City" formControlName="city"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Province" formControlName="province"></textarea>
      </mat-form-field>
      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="Country" formControlName="country"></textarea>
      </mat-form-field>
     
  
       
        <mat-form-field>
          <mat-label>Select Host Type</mat-label>
          <mat-select formControlName="type">
            <mat-option *ngFor="let type of types" [value]="type">
              {{type}}
            </mat-option>
          </mat-select>
        </mat-form-field>

      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="image" formControlName="image"></textarea>
      </mat-form-field>

      <mat-form-field>
        <textarea cdkTextareaAutosize cdkAutosizeMinRows="0" matInput placeholder="description" formControlName="description"></textarea>
      </mat-form-field>
  
      <div class="command-btn-container" fxLayout="row" fxLayoutAlign="end center" fxLayoutGap="10px">
        <button mat-raised-button color="primary">{{submitBtnText}}</button>
        <button mat-raised-button color="basic" (click)="backToHostManage()">Cancel</button>
      </div>
    </mat-card>
  </form>
<!-- </div> -->
